#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB5,0xB8,0x7F,0xFB,0xE2,0x86,0x18,0x94,0x1E,0xD1,0x3F,0xA6,
		0x77,0x72,0x5F,0x37,0xFF,0x67,0xAB,0x16,0xFE,0x5E,0xAC,0x95,
		0x98,0xC8,0x40,0x03,0xFD,0x75,0x0D,0x14,0xD4,0x86,0x38,0x0F,
		0x4A,0xA7,0x06,0x6A,0x93,0xFB,0x20,0x0C,0xAA,0x32,0x88,0x4C,
		0xD5,0x8A,0x03,0xBD,0x92,0x8C,0x54,0xA5,0xE7,0xB6,0xD7,0xAF,
		0x4E,0x8B,0xF6,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
